Package weka.classifiers.functions

# Class BoundaryPotentialClassifier

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryPotentialClassifier

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`

public class BoundaryPotentialClassifier extends SingleClassifierEnhancerBoundary
Classifier with boundary-based potential function

Since:
  2.1.0
Version:
  2.1.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryPotentialClassifier()`
  `BoundaryPotentialClassifier(ClassifierWithBoundaries classifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `String[]`
  `getOptions()`
  `PotentialFunction`
  `getPotential()`
  `String`
  `globalInfo()`
  `boolean`
  `isNormalizeOutput()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `String`
  `normalizeOutputTipText()`
  `String`
  `potentialTipText()`
  `void`
  `setNormalizeOutput(boolean normalizeOutput)`
  `void`
  `setOptions(String[] options)`
  `void`
  `setPotential(PotentialFunction potential)`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryPotentialClassifier

    public BoundaryPotentialClassifier(ClassifierWithBoundaries classifier)

  - ### BoundaryPotentialClassifier

    public BoundaryPotentialClassifier()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.AbstractClassifier`
    Throws:
      `Exception`

  - ### getPotential

    public PotentialFunction getPotential()
    Returns:
      the potential

  - ### setPotential

    public void setPotential(PotentialFunction potential)
    Parameters:
      `potential` - the potential to set

  - ### potentialTipText

    public String potentialTipText()

  - ### isNormalizeOutput

    public boolean isNormalizeOutput()
    Returns:
      the normalizeOutput

  - ### setNormalizeOutput

    public void setNormalizeOutput(boolean normalizeOutput)
    Parameters:
      `normalizeOutput` - the normalizeOutput to set

  - ### normalizeOutputTipText

    public String normalizeOutputTipText()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `weka.classifiers.SingleClassifierEnhancer`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### globalInfo

    public String globalInfo()